Bug 442875 - Review Request: virt-ctrl - Graphical management app for virtual machines
Review Request: virt-ctrl - Graphical management app for virtual machines
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
http://et.redhat.com/~rjones/virt-ctrl/
:
Depends On: 442867
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 06:42 EDT by Richard W.M. Jones
Modified: 2008-11-06 10:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-06 10:13:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dwmw2: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-04-17 06:42:03 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/virt-ctrl.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/virt-ctrl-1.0.0-1.fc9.src.rpm
Description: Graphical management app for virtual machines

This program is already in Fedora, but the upstream source package
has now been split up so it now needs to be in a separate package.

rpmlint is clean.
Comment 1 Richard W.M. Jones 2008-05-01 15:46:39 EDT
Note:

This package has undergone some bitrot since I added it, so as of this
comment, I've put it back into needinfo of me to check it still works.
Comment 2 Richard W.M. Jones 2008-05-19 14:10:05 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/virt-ctrl.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/virt-ctrl-1.0.0-3.fc10.src.rpm

* Mon May 19 2008 Richard W.M. Jones <rjones@redhat.com> - 1.0.0-3
- Use RPM percent-configure.
- Fix po/Makefile.in and po/POTFILES.
- Add list of BRs for ocaml-gettext.
- Use find_lang to find PO files.
- Comment out OCaml dependency generator (not a lib, not needed).
- Check it builds in Koji.

This is rpmlint-clean.

Koji scratch build of this version:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=618049
Comment 3 Nicolas Chauvet (kwizart) 2008-05-28 07:13:57 EDT
While testing build for F-8 I have some dependencies missing.
DEBUG util.py:250:  No Package Found for ocaml-gettext-devel >= 0.3.0
DEBUG util.py:250:  No Package Found for ocaml-lablgtk-devel >= 2.10.0
DEBUG util.py:250:  No Package Found for ocaml-dbus-devel >= 0.06

This makes me wonder if we can use this package for F-8 as F-9 doesn't has a
Dom0 kernel-xen yet (unless re-introducted recently)?
Maybe this package is targeted for EL-5 ?
 (I could test using CentOS5 in this case)
Comment 4 Richard W.M. Jones 2008-06-02 05:46:14 EDT
Unfortunately it's not straightforward to backport this package to F-8.
Lablgtk / Gtk has added new features and we rely on Gtk >= 2.10.0.
Possibly when this package has been reviewed, I will add a big patch
to hack out the parts which need Gtk >= 2.10 just for F-8.

I strongly suggest you look at virt-manager (http://virt-manager.org/).
Not only is virt-manager currently much more featureful, but it's also
available right now in F-8.
Comment 5 David Woodhouse 2008-11-02 07:46:20 EST
Package looks sane, meets review requirements. Approved.
Comment 6 Richard W.M. Jones 2008-11-03 04:18:05 EST
New Package CVS Request
=======================
Package Name: virt-ctrl
Short Description: Graphical management app for virtual machines
Owners: rjones
Branches: F-10
InitialCC: rjones
Comment 7 Dennis Gilmore 2008-11-03 13:51:24 EST
CVS Done
Comment 8 Richard W.M. Jones 2008-11-06 10:13:53 EST
Built for F-10 here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=919484

Built for F-11 here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=919483

Note You need to log in before you can comment on or make changes to this bug.